.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99999999999999;
  padding: 14px 0;
  backdrop-filter: blur(28px);
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  background: rgba(255, 255, 255, 0.85);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 20px;
}

.header-logo {
  display: block;
  width: 98px;
  transition: transform 0.3s ease;
}

.header-logo:hover {
  transform: scale(0.9);
}

.page-nav {
  display: none;
}

.menu-btn {
  display: block;

  svg {
    fill: none;
    stroke: #2a2a2a;
  }
}

.list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.link {
  font-family: var(--second-family);
  font-weight: 600;
  font-size: 16px;
  color: #2a2a2a;
  padding-left: 14px;
  position: relative;
  transition:
    color 0.3s ease,
    border-color 0.3s ease;
}

.link::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  width: 8px;
  height: 8px;
  background-color: #c31815;
  border-radius: 50%;
  transform: translateY(-50%) scale(0);
  opacity: 0;
  transition:
    transform 0.3s ease,
    opacity 0.3s ease;
}

.link:hover,
.link:focus {
  color: #c31815;
}

.active-link {
  color: #c31815;
}

.active-link::before {
  transform: translateY(-50%) scale(1);
  opacity: 1;
}

.header-subscribe {
  display: none;
}

@media screen and (min-width: 768px) {
  .header-container {
    padding: 0 32px;
  }
}

@media screen and (min-width: 1436px) {
  .header-container {
    padding: 0 80px;
  }

  .header-subscribe {
    display: block;
    width: fit-content;
    padding: 9px 72px;

    border: 2px solid #c31815;

    font-family: var(--second-family);
    font-weight: 600;
    font-size: 16px;
    color: #c31815;

    transition:
      color 0.3s ease,
      background-color 0.3s ease;
  }

  .header-subscribe:hover,
  .header-subscribe:focus {
    background-color: #c31815;
    color: #fff;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  overflow: hidden;
  top: 0;
  left: 50%;
  padding: 70px;
  padding-right: 20px;
  padding-top: 130px;
  z-index: 88888888;
  background: #f1f2f3;
  transform: translateX(-50%) translateY(-140%);
  transition: transform 1s ease;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 999999;
  bottom: 20px;
  padding: 20px;
  left: 50%;
  transform: translateX(-50%);
  backdrop-filter: blur(22px);
  background: rgba(41, 41, 41, 0.8);
  transition: transform 0.4s ease;
}

.popup-text {
  font-weight: 400;
  font-size: 14px;
  line-height: 143%;
  color: #fff;
  text-align: center;
  margin-bottom: 32px;

  span {
    font-weight: 400;
  }

  a {
    text-decoration: underline;
    transition: color 0.3s ease;
  }

  a:hover {
    color: #d9fd76;
  }
}

.popup-btn {
  font-weight: 600;
  font-size: 14px;
  line-height: 143%;
  color: #fff;

  border: 2px solid #fff;
  border-radius: 6px;
  padding: 12px 36px;
  transition:
    color 0.2s ease,
    background-color 0.2s ease;
}

.popup-btn:hover {
  background-color: #f00;
  color: #fff;
}

.popup-wrap {
  display: flex;
  justify-content: center;
  gap: 16px;
}

@media screen and (min-width: 1436px) {
  .page-popup {
    padding: 30px 48px;
  }

  .popup-text {
    font-size: 16px;
    margin: 0;
    text-align: start;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 44px;
  }

  .popup-wrap {
    gap: 38px;
    flex-shrink: 0;
  }
  .popup-btn {
    padding: 16px 48px;
  }
}

/* *************  PAGE 1  ******* */

/* hero  */

.hero-img {
  width: 100%;
  margin-bottom: 24px;
}

.hero-flex {
  margin-bottom: 31px;
}

.hero-desc {
  padding: 50px 24px;
  background: #fff;

  p {
    font-family: var(--font-family);
    font-style: italic;
    font-weight: 400;
    font-size: 20px;
    line-height: 110%;
    text-align: center;
    color: #000;
  }
}

@media screen and (min-width: 1436px) {
  .hero-flex {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 35px;
    margin-bottom: 45px;
  }

  .hero-img {
    width: 750px;
    margin: 0;
    flex-shrink: 0;
  }

  .hero-desc {
    padding: 32px;

    p {
      font-size: 22px;
    }
  }
}

/* top list  */

#top-list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 35px;
  margin-top: 119px;
}

.top-item {
  box-shadow: 0 2px 14px 0 rgba(42, 42, 42, 0.24);
  background: #fff;
  transition: box-shadow 0.3s ease;
  padding-bottom: 32px;
  overflow: hidden;
  transition: box-shadow 0.4s ease;
}

.top-item:hover {
  box-shadow: 0 2px 14px 0 rgba(212, 12, 12, 0.726);

  img {
    transform: scale(1.2);
  }
}

.top-img {
  width: 100%;
  margin-bottom: 40px;
  transition: transform 0.4s ease;
}

.top-title {
  font-family: var(--third-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 150%;
  color: #2a2a2a;
  margin-bottom: 17px;
  padding: 0 20px;
}

.top-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 15px;
  line-height: 147%;
  color: #2a2a2a;
  padding: 0 20px;
}

.list-desc {
  padding: 14px;
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  color: #2a2a2a;
  backdrop-filter: blur(28px);
  background: rgba(255, 255, 255, 0.85);
  margin-top: 38px;
}

@media screen and (min-width: 768px) {
  #top-list {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .top-item {
    width: calc((100% - 35px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  .list-flex {
    display: flex;
    align-items: flex-start;
    gap: 60px;
    margin-top: 44px;
  }

  #top-list {
    margin: 0;
  }
}

/* subscribe  */

.subscribe {
  margin-top: 75px;
}

.subscribe-title {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  color: #2a2a2a;
  margin-bottom: 15px;
}

.form-wrap {
  padding: 30px 20px;
  background: #fff;
}

.subscribe-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 24px;
  line-height: 125%;
  color: #141414;
  margin-bottom: 58px;
}

#consultation-form {
  display: flex;
  flex-direction: column;
  gap: 20px;

  input,
  textarea,
  button {
    border: 1px solid #2a2a2a;
    border-radius: 2px;
    padding: 16px 23px;
    resize: none;
    outline: none;
    width: 100%;

    font-family: var(--font3);
    font-weight: 300;
    font-size: 14px;
    line-height: 186%;
    color: #020202;
    transition: background-color 0.3s ease;
  }

  button {
    border: 1px solid #c31815;
    font-weight: 500;
    font-size: 14px;
    transition:
      color 0.3s ease,
      background-color 0.3s ease,
      box-shadow 0.3s ease;
  }

  input::placeholder,
  textarea::placeholder {
    font-family: var(--font3);
    font-weight: 300;
    font-size: 14px;
    line-height: 186%;
    color: #141414;
  }

  button:hover {
    background-color: #c31815;
    color: #fff;
  }
}

.modal-form {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #222221;
  color: #fff;
  padding: 12px 24px;
  border-radius: 6px;
  font-size: 16px;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.modal-form.show {
  opacity: 1;
}

@media screen and (min-width: 1436px) {
  .subscribe {
    width: 370px;
    margin: 0;
    flex-shrink: 0;
  }
}

/* cover */

.cover {
  margin-top: 30px;
}

.cover-title {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  color: #2a2a2a;
  margin-bottom: 20px;
}

.cover-list {
  display: flex;
  flex-direction: column;
}

.cover-item {
  p {
    font-family: var(--third-family);
    font-weight: 700;
    font-size: 18px;
    line-height: 150%;
    color: #2a2a2a;
    margin-bottom: 10px;
  }

  span {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 163%;
    color: #2a2a2a;
  }
}

@media screen and (min-width: 1436px) {
  .cover {
    margin-top: 63px;
  }

  .cover-title {
    font-size: 18px;
    margin-bottom: 61px;
  }

  .cover-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px 20px;
  }

  .cover-item {
    width: calc((100% - 60px) / 4);
  }
}

/* ************ PAGE 2  ***************** */

/* all-articleas */

.articles-text {
  margin-bottom: 34px;
}

#all-articleas {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.all-item {
  box-shadow: 0 2px 14px 0 rgba(42, 42, 42, 0.24);
  background-color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-bottom: 20px;
  overflow: hidden;
  transition: box-shadow 0.4s ease;
}

.all-item:hover {
  box-shadow: 0 2px 14px 0 rgba(212, 12, 12, 0.726);

  img {
    transform: scale(1.2);
  }
}

.all-img {
  width: 100%;
  margin-bottom: 15px;
  transition: transform 0.4s ease;
}

.all-title {
  font-family: var(--third-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 150%;
  color: #2a2a2a;
  margin-bottom: 17px;
  padding: 0 20px;
}

.all-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 15px;
  line-height: 147%;
  color: #2a2a2a;
  padding: 0 20px;
  margin-bottom: 28px;
}

.all-date {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 13px;
  line-height: 165%;
  color: #2a2a2a;
  opacity: 0.7;
  text-align: end;
  margin-bottom: 20px;
  padding: 0 20px;
}

.stat {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  padding-top: 18px;
  border-top: 1px solid #4d4b4b82;
  margin-top: 12px;

  div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 7px;
  }

  p {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 10px;
    line-height: 165%;
    color: #2a2a2a;
    opacity: 0.7;
  }
}

.load-more {
  display: block;
  width: fit-content;
  margin: 0 auto;
  margin-top: 69px;
  padding: 22px 63px;

  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 107%;
  letter-spacing: 0.11em;
  text-transform: uppercase;
  text-align: center;
  color: #c31815;
  border: 1px solid #c31815;

  transition:
    color 0.3s ease,
    background-color 0.3s ease,
    box-shadow 0.3s ease;
}

.load-more:hover {
  background-color: #c31815;
  color: #fff;
}

@media screen and (min-width: 768px) {
  #all-articleas {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .all-item {
    width: calc((100% - 25px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  .all-item {
    width: calc((100% - 50px) / 3);
  }

  .load-more {
    margin-top: 83px;
  }
}

/********** PAGE 3 ************** */

/* about  */

.mission-list {
  display: flex;
  flex-direction: column;
  gap: 42px;
  margin-bottom: 36px;
  margin-top: 46px;

  li {
    padding: 18px 30px;
    box-shadow: 0 2px 14px 0 rgba(42, 42, 42, 0.24);
    background: #fff;
  }

  p {
    font-family: var(--third-family);
    font-weight: 600;
    font-size: 18px;
    line-height: 150%;
    color: #2a2a2a;
    margin-bottom: 17px;
  }
  span {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 15px;
    line-height: 147%;
    color: #2a2a2a;
  }
}

.team-list {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
  margin-bottom: 46px;
}

.team-item {
  width: calc((100% - 10px) / 2);

  img {
    width: 100%;
  }
}

.about-text {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 500;
  font-size: 24px;
  line-height: 117%;
  text-align: center;
  color: #000;
  padding: 0 20px;
}

@media screen and (min-width: 1436px) {
  .mission-list {
    flex-direction: row;
    gap: 42px;
    margin-top: 36px;
    margin-bottom: 58px;

    li {
      width: calc((100% - 42px) / 2);
      padding: 18px 30px;
    }
  }

  .team-list {
    gap: 18px;
    margin-bottom: 48px;
  }

  .team-item {
    width: calc((100% - 54px) / 4);
  }

  .about-text {
    text-align: start;
  }
}

/********** PAGE 4 ************** */

/* contact */

.contact-list {
  display: flex;
  flex-direction: column;
  gap: 24px;

  li {
    display: flex;
    align-items: flex-start;
    gap: 40px;
  }

  p {
    font-family: var(--third-family);
    font-weight: 600;
    font-size: 20px;
    line-height: 120%;
    color: #000;
  }

  a:hover,
  a:focus {
    text-decoration: underline;
  }
}

.contact-list1 {
  margin-bottom: 59px;
}

.contact-list2 {
  margin-bottom: 82px;
}

/* важно: у контейнера карты должна быть высота */
.map-frame {
  overflow: hidden;
  height: 339px;
  width: 100%;
  margin-bottom: 90px;
}

.leaflet-container {
  background: #fff;
}

.info-text {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 500;
  font-size: 24px;
  line-height: 92%;
  text-align: center;
  color: #000;
  padding: 0 20px;
}

@media screen and (min-width: 1436px) {
  .contact-list2 {
    margin-bottom: 72px;
  }

  .map-frame {
    height: 655px;
    margin-bottom: 48px;
  }

  .info-text {
    font-size: 24px;
  }
}

/* footer */

.footer {
  padding: 43px 0;
  background: #0e1e32;
}

.footer-nav {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin-bottom: 47px;
}

.footer-nav-link {
  font-family: var(--second-family);
  font-weight: 600;
  font-size: 16px;
  color: #fff;
  padding-left: 14px;
  position: relative;
  transition:
    color 0.3s ease,
    border-color 0.3s ease;
}

.footer-nav-link::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  width: 8px;
  height: 8px;
  background-color: #c31815;
  border-radius: 50%;
  transform: translateY(-50%) scale(0);
  opacity: 0;
  transition:
    transform 0.3s ease,
    opacity 0.3s ease;
}

.footer-nav-link:hover,
.footer-nav-link:focus {
  color: #c31815;
}

.active-link {
  color: #c31815;
}

.active-link::before {
  transform: translateY(-50%) scale(1);
  opacity: 1;
}

.footer-soc-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  margin-bottom: 24px;

  li {
    width: 28px;
  }

  a {
    display: block;
    transition: transform 0.3s ease;
  }

  a:hover {
    transform: scale(1.2);
  }
}

.footer-list {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 24px;

  font-family: var(--font-family);
  font-weight: 500;
  font-size: 24px;
  line-height: 100%;
  letter-spacing: 0.02em;
  text-align: center;
  color: #fff;

  a {
    transition:
      color 0.3s ease,
      box-shadow 0.3s ease;
  }

  a:hover {
    color: #c31815;
  }
}

.footer-logo {
  display: block;
  width: 98px;
  margin: 0 auto;
  transition: transform 0.3s ease;
  margin-bottom: 29px;
}

.footer-logo:hover {
  transform: scale(0.9);
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
  letter-spacing: 0.02em;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1436px) {
  .footer {
    padding: 50px 0;
  }

  .footer-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-direction: row-reverse;
  }

  .footer-nav {
    justify-content: flex-end;
    gap: 40px;
    margin-bottom: 47px;
  }

  .footer-soc-list {
    justify-content: flex-end;
    gap: 50px;
    margin: 0;
  }

  .footer-list {
    gap: 24px;
    align-items: flex-start;
    margin: 0;
  }

  .footer-logo {
    margin: 0;
    margin-bottom: 29px;
  }

  .footer-text {
    text-align: start;
    font-size: 12px;
  }
}

/* loader */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(94, 95, 147, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;

  /* display: none; */
}

.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid #fff;
  border-top-color: #c31815;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  width: 68px;
  height: 68px;
  border-radius: 50%;
  border: 1px solid #020202;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 99999999999999;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    transform 0.4s ease,
    box-sgadow 0.4s ease border-color 0.4s ease;

  svg {
    fill: none;
    stroke: #020202;
    transition: stroke 0.3s ease;
  }
}

#scrollTopBtn.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn:hover {
  opacity: 1;
  border-color: #c31815;
  box-shadow: 2px 2px 10px #c31815;

  svg {
    stroke: #c31815;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateX(-50%) translateY(0);
}

.click {
  background-image: url(../img/minus.png);
  transform: rotate(180deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
